net.corda.client.model

## Class ProgressTrackingEvent

- net.corda.client.model.ProgressTrackingEvent

-     public class ProgressTrackingEvent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProgressTrackingEvent.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ProgressTrackingEvent.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgressTrackingEvent(StateMachineRunId stateMachineId, java.lang.String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateMachineRunId` | `component1()`
    `java.lang.String` | `component2()`
    `ProgressTrackingEvent` | `copy(StateMachineRunId stateMachineId, java.lang.String message)`
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.String` | `getMessage()`
    `StateMachineRunId` | `getStateMachineId()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Field Detail

    - #### Companion

          public static ProgressTrackingEvent.Companion Companion

  - ### Constructor Detail

    - #### ProgressTrackingEvent

          public ProgressTrackingEvent(StateMachineRunId stateMachineId,
                                       java.lang.String message)

  - ### Method Detail

    - #### getStateMachineId

          public StateMachineRunId getStateMachineId()

    - #### getMessage

          public java.lang.String getMessage()

    - #### component1

          public StateMachineRunId component1()

    - #### component2

          public java.lang.String component2()

    - #### copy

          public ProgressTrackingEvent copy(StateMachineRunId stateMachineId,
                                            java.lang.String message)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)